Kerbal Space Program - Bug #13250

Plane on runway (or anywhere flat) rotates without obvious cause
11/17/2016 04:54 PM - AlffromKerbal

Status: Confirmed Start date: 11/17/2016
Severity: Normal % Done: 10%
Assignee:

Category: Physics

Target version:

Version: 1.21 Language: English (US)
Platform: Linux Mod Related: No
Expansion: Core Game

Description

My prototype SSTO plane is rotating on runway with breaks enabled and reaction wheels disabled.
| stripped off engines, reactions wheels, wings, winglets/tailwings, disabled all autostruts, nothing helped.

Playing around i found, that switching wheels to manual friction control and set to max., rotation direction reverts to counter
clockwise. It seems to me, that friction control might be a cause for this.

It also seems, when removing outer weights (where the rear wheels are attached to) the problem is gone or at least shifted to when
accelerating.

I'm running steam and just deleted and redownloaded all gamefiles to be sure. | started new sandbox game and just imported the
plane. No mods.

Before i redownloaded all gamefiles, there were an issue like "runway contact: error -0.375m" in the console. Nothing in there now.

Prototype@iffstripped.gif

History

#1 - 11/17/2016 07:31 PM - AlffromKerbal

Before i redownloaded all gamefiles, there were an issue like "runway contact: error -0.375m" in the console. Nothing in there now.

I must correct this (didn't remember correctly), it was more like "Runway: Hillside: ground contact - error x.xm". "Runway: Hillside" is a flag i planted
for better landing navigation.

Despite of this correction, i build a new hvy. plane from scratch, same issue. | even have problems to launch that plane due to clockwise drift
described before.

#2 - 11/17/2016 07:49 PM - AlffromKerbal
- File PrimitivTestObject.gif added

| reproduced all this with some primitiv never flying plane, just consisting of cockpit, fuelparts and wheels, nothing more.
PrimitivTestObject.gif
Building kerbal like extreme ("just make it bigger") stuff is impossible this way.

| think #13276 is the same issue, maybe related to #13080.
(Another post about this #13413)

#3 - 11/27/2016 03:57 PM - Daveroski

| bet the autostruts of the wheels are not connected as one would expect.

#4 - 12/13/2016 12:53 AM - AlffromKerbal

Doesn't seem limited to Kerbin only, i also see movement of planetary bases with hvy. fuel depots on Minmus and Mun (didn't land on other planets
yet).
https://bugs.kerbalspaceprogram.com/issues/13276
https://bugs.kerbalspaceprogram.com/issues/13080
https://bugs.kerbalspaceprogram.com/issues/13413

#5 - 12/13/2016 03:46 AM - AlffromKerbal
- File MunBaseMovement.gif added

- File MinmusBaseMovement.gif added

Minmus base isn't moving as much as Mun base, but it's there (lighter base on Minmus, lower gravity, smaller planet)

MunBaseMovement.gif
MinmusBaseMovement.gif

#6 - 12/13/2016 05:22 PM - Ezriilc

- Status changed from New to Confirmed
- Severity changed from Low to Normal

- % Done changed from 0 to 10

- Platform Windows added

Confirmed in version 1.2.2 on Windows 10 x64.
This issue makes takeoffs nearly impossible at times, making game play quite difficult, hence my changing the priority to Normal.

This issue may be related to the wheel bouncing issue here: http:/bugs.kerbalspaceprogram.com/issues/10095

#7 - 12/18/2016 06:04 PM - AlffromKerbal

| hope this will be fixed soon because my munbase is "drifting" towards a canyon :/

#8 - 05/06/2018 09:18 AM - jclovis3

- File Plane alignment in design.png added

- File Test extra large landing gear heavy.craft added
- File Test large landing gear heavy.craft added

- File Test large landing gear.craft added

- File Test medium landing gear.craft added

- Subject changed from Plane on runway rotates without obvious cause to Plane on runway (or anywhere flat) rotates without obvious cause

Large and extra large landing gear allows plane to slide on runway with breaks locked. (OK, so this bug was reported already, but it still exists in 1.4.3
and here is some more data)

Watch: https://youtu.be/7ZgRdm8ZrkU

Background:

| noticed some of my larger ships using the large landing gear (radially x8) in liu of landing struts had a tendency to slide around even with breaks on.
I just assumed it was uneven ground, until | noticed this on the runway. | ran tests on the medium and large landing gear (x3) using a tiny plane, and
had no problems. Then | created some heavy weight tests (1,800 tons) for the large and Extra large landing gear (x4).

Each was tested first at normal spring and damper levels, then at max. In all cases, the landing gear allowed the load to slide up to 1.2 m/s. | toggled
the breaks off to build up a little momentum, then turned them back on and watched my speed slow which indicated the breaks were working (at least
slowing it down). This leads me to conclude that if breaking action were to be applied continuously, the plane should eventually stop since there was
no engines or RCS applying force. It was almost as if the buildings had some gravitational pull.

| tried increasing the extra large test to 8 landing gear, and this decreased the drift speed down to 0.2 m/s with breaks locked. | released the breaks
and waited until reaching 0.8 m/s before locking them again, and the load quickly dropped back to 0.2 m/s. You would think that with more wheels,
they would compress less and have less contact with the ground. The 4 gear version should probably be smashing those tires into the ground for
even more friction.

Next, | allowed the 4 wheel version of the extra large to run off the runway and build up speed up to 10 m/s running down the slope. Then | locked the
breaks and reduced it to 0.3 m/s before it then rose to 1.4 m/s on the grass. | also noted that the wheel stress never reached above 5.0 and the
wheels appear to be vibrating.

Forget anything about the building having gravity. The pull seems to be to the right in all cases and | can do a complete circle. At no point does it
apear to be leveling out or going up hill to slow down. It's like it's caught in a vortex or something. This bug is not restricted to the runway. It is a
landing gear issue.

| thought that perhaps, because all landing gear are autostrut locked to heaviest part, there might be a problem in the loop for finding heaviest part
(like a test for >= rather than just > ) so | decreased each of the larger tanks by 10% save for one, and that didn't seem to matter any.

So | do not believe there are any more tests that | can do from my end. Good luck on this one. Here are some potentially related bugs:
http://bugs.kerbalspaceprogram.com/issues/10095
https://youtu.be/7ZgRdm8ZrkU

Bug #16952
Bug #18099

#9 - 06/19/2018 11:52 PM - AlffromKerbal
- Platform deleted (Windows)

- Expansion Core Game added

Since i restarted playing KSP and already run into the same problem seemingly even easier than at time filing this bugreport, i am reconfirming this
bug with version 1.4.3.2152.

If i could, i would like to increase priority to this bug to at least high or even critical, since building large stuff, if plane or outpost, gets extremly
unplayable at some size. | stopped playing this game because of such stuff, because you waste your time when everything large is nicely done, it's
just crashing at some point.

"Luckily" you need some time to get to that point of beeing able to build those sophisticated things, but then your motivation goes down to hell in no
time!

So, why even trying to play career, if at some point it's just over because of this bug, which i hope will die before its 2nd birthday (or lets say 3rd,
respecting birth of gameversion).

...and btw. why should i buy any DLC before the Core Game isn't working at some point? Maybe i write another review on Steam :/

#10 - 06/20/2018 08:59 AM - jclovis3
- File Test saves.zip added

- File Massive LfOx station.craft added

AlffromKerbal, | really think you should include save files of the ship that is sliding. From the pictures, we can't tell what your strut situation is looking
like, nor the spring tension of those landing gear. It looks like you have the medium ones, but you also have some wheels.

| have run tests with a very large ship on both Mun and Minmus in various slopes. | also run 1.4.3.2152 without mods. The following parts in this ship
require the Making History expansion:

S4-512 Fuel Tank
S3-S4 Adapter Tank
RE-J10 "Wolfhound" engine

As | am sure you probably won't be running these saves if you don't have the DLC yet, if you would like to upload one of your own saves with the
vessel sliding on Mun or Minmus, | will be happy to take a look and see if | can find anything to help you out. As my tests reveal, the ship alone on a
nearly flat surface doesn't slide on the LT-2 landing struts, so we may need to refine our description of the bug here regarding Mun and Minmus
issues.

Engineer's report of remaining ship after all parts staged
Mass: 3,319.135t (fully fueled)

Dimensions(H,W,L): 32.8m x 27.2m x 27.2m

Parts: 513

LT-2 Landing struts:

Count: 32

Spring: 1.25

Damper: 2

Autostrug: Locked Heaviest Part

Rigid: Off

Parent: Modular Girder Segment XL (in a way that it can support the ship when landing gear are retracted after landing)

Craft: Massive LfOx station
Purpose: Provide refueling for 207,360/253,440 LF/Lox
Actions:

Gear: Landing gear and Kerbnet Access (to see the altitude of the ground)
RCS: Controls Verner engines, which use Lf/Lox

1: Solar pannels

2: Toggle converters, fuel cells, thermal cooling, and deploy/retract drills
3: Toggle drilling

9: Toggle Vector engines (x32)

0: Toggle Wolfhound engines (x4)

Test saves.zip:

Mun Slide 30 deg slope.sfs
https://bugs.kerbalspaceprogram.com/issues/16952
https://bugs.kerbalspaceprogram.com/issues/18099

Mun stable 12 deg slope.sfs
Mun stable 2 deg slope.sfs
Minmus slide 22 deg slope.sfs
Minmus stable 9 deg slope.sfs
Minmus stable 0 deg slope.sfs

#11 - 06/20/2018 09:40 PM - AlffromKerbal

| deleted all my old saves, but that doesn't matter because i can build up a not very large vessel in Sandboxmode and see that problem in an instant!

But i'm wondering how relevant physics calculations are done? I'm using Ati Radeon HD6950, if using gfxcard for such calculations, could it be some
kind of lag of calculations producing such effects?

...and btw. what about mentioned possible relevant bugs #13276 and #130807?

I will try to build a plane (not neccessarily able to fly) which will show that effect on my system, then i see to upload a savegame here.

#12 - 06/21/2018 01:17 PM - AlffromKerbal
- File ShowTest.gif added
- File test.sfs added

- File test.loadmeta added

Ok, i just put some parts together, made some screenshots and quicksaved.

Btw. i found some old backups, if you see a clue in now given savegame and it would be useful to have one with those moving outposts on other
planets, i might check them out.

#13 - 06/21/2018 05:00 PM - jclovis3

Well this bug has pretty much confirmed the problem with the larger landing gear on the runway, but the problem doesn't seem to exist with the
landing struts anymore which is why | asked about your Mun/Minmus issues. Could you replicate your older problems using landing struts or is it just
with the larger two sizes of aircraft landing gear now?

| don't believe the graphics card is utilized in calculating physics, just graphics. From what I've learned recently about Unity and 3D modeling,
anything you see is the calculated effect of a single ray of light from each lighting source bouncing off the object and then to the camera. The rays
straying everywhere else are ignored but light sources can include reflections and ambient occlusions so there is a lot to do just to calculate the
resulting light we see, and the graphics adapters have a lot of specialized instruction sets to do those calculations so the physics can be calculated by
the CPU. Regardless of what the processor type is, the instructions don't change. The bugs we're experiencing have to come from the instructions
(code) and not from the interpreters of those instructions. We are really close to a new patch release, so lets hold off on expanding this bug report
until we see whats been fixed in the patch.

#14 - 06/21/2018 06:16 PM - AlffromKerbal

Just checked and verified this in v1.4.4
I will check out my backups and report back when done.

#15 - 06/22/2018 12:03 PM - AlffromKerbal

Backups are too old - outposts are still not large enough. On the other hand, when you say there was fixed something about struts, maybe you are
right that the problem about the outposts are gone. Didn't realize that those problems seem to be 2 seperate ones.

Since i started over playing career, it will take some time before i encounter this problem again, if still persists.
Thanks for the information, that was very helpful and relieving for me :)
Edit: Problem still exists in Version 1.12.5.

Too bad that i cannot add a new screenshot or vehicle file. | tried with a construction just about 4.3 tons using LT-05 Micro Landing Strut on Kerbin
Runway. Unbelievable that after all this time this is still a problem!

Files
